#include <LPC23xx.H>

//     wiavr
#define _BV(x)  (1<<x)


//   
#define snd			26  // P0.26
#define adc_m		31  // P1.31
#define vibr   		14	//P1.14
#define pow_dn		27	//P1.27
#define OC			26   //P3.26
#define LCD_BL		9   //P0.9

#define dmp0		25		// P3.25
#define dmp1   		29		//P0.29
#define dmp2		30		//P0.30
#define dmp3    	19		//P1.19

#define load		23		//P1.23
#define diagn		18		//P1.18
#define electr_off	10		// p1.10

#define ONA			24 		//P1.24


void pause_m(unsigned int m);
void pause(unsigned int p);
void delay(unsigned long p);
unsigned char keyP1 (unsigned char key_n);
unsigned char keyP2 (unsigned char key_n);
unsigned char matrix_kbd(void);

void signal_gen(unsigned int t_dur, unsigned int t_gap, unsigned char intens);
