#include <LPC23xx.H>

// PWM	
// PWMPCR
#define PWMSEL1	0
#define PWMSEL2	2
#define PWMSEL3 3
#define PWMSEL4	4
#define PWMSEL5	5
#define PWMSEL6	6

#define PWMENA1	9
#define PWMENA2	10
#define PWMENA3	11
#define PWMENA4	12
#define PWMENA5	13
#define PWMENA6	14


//     
// PCONP
#define PCTIM0		1
#define PCTIM1		2
#define PCUART0		3
#define PCUART1		4
#define PCPWM1		6
#define PCI2C0		7
#define PCSPI		8
#define PCRTC		9
#define PCSSP1		10
#define PCEMC1		11
#define PCAD		12
#define PCCAN1	   	13
#define PCCAN2		14
#define PCI2C1		19
#define PCSSP0		21
#define PCTIM2		22
#define PCTIM3		23
#define PCUART2		24
#define PCUART3		25
#define PCI2C2		26
#define PCI2S		27
#define PCSDC		28
#define PCGPDMA		29
#define PCENET		30
#define PCUSB		31




void cpu_clocking_init (unsigned int MValue, unsigned int NValue, unsigned int CCLKDivValue, unsigned int USBCLKDivValue);
void cpu_io_init (void);

void PWM_conf (void);
void PWM_set_val (unsigned long freq, unsigned int tau);
void pow_init (void);

void TC_conf (void);

//void T2_set_fr (unsigned int f_val, unsigned int t_comp);

void T0_set_fr (unsigned int f_val);
