#include "LS020.h"



void LCD_FilScr(const unsigned char *Buff);                                                    //  
void LCD_FillRect(unsigned char X1,unsigned char Y1,unsigned char X2,unsigned char Y2);        //  
void LCD_FillScr(unsigned int color);                                                           //   
void LCD_PutPixel(unsigned char X1,unsigned char Y1,unsigned int color);                       //   
void LCD_DataScreen(void);                                                                     // 
void LoadImage(unsigned char X1,unsigned char Y1,const unsigned int *Image);                  //   
void LCD_Rectangle(unsigned char x, unsigned char y, unsigned char a, unsigned char b,unsigned int color);
void LCD_Line(int x1, int y1, int x2, int y2, unsigned int color);
void LCD_Circle(unsigned char cx, unsigned char cy ,unsigned char radius,unsigned color);

void put_char(unsigned char x, unsigned char y, unsigned char c,unsigned int text_color,unsigned int back_color, unsigned char rot);

void gclcd_put_val_6dig(unsigned char pos_x, unsigned char pos_y, unsigned long val,unsigned int text_color,unsigned int back_color,unsigned char rot_);
void gclcd_put_val_5dig(unsigned char pos_x, unsigned char pos_y, unsigned int val,unsigned int text_color,unsigned int back_color,unsigned char rot_);
void gclcd_put_val_4dig(unsigned char pos_x,unsigned char pos_y,unsigned int val ,unsigned int text_color,unsigned int back_color,unsigned char rot_);
void gclcd_put_val_3dig(unsigned char pos_x,unsigned char pos_y,unsigned int val ,unsigned int text_color,unsigned int back_color,unsigned char rot_);
void gclcd_put_val_2dig(unsigned char pos_x,unsigned char pos_y,unsigned char val ,unsigned int text_color,unsigned int back_color,unsigned char rot_);
void gclcd_put_val_1dig(unsigned char pos_x,unsigned char pos_y,unsigned char val ,unsigned int text_color,unsigned int back_color,unsigned char rot_);

void gclcd_put_txt (unsigned char pos_x,unsigned char pos_y,unsigned char txt[],unsigned int text_color,unsigned int back_color,unsigned char rot_);
